View Issue Details

IDProjectCategoryView StatusLast Update
0001819FreeCADFeaturepublic2014-12-29 22:00
Reportermicroelly2 Assigned Towmayer  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001819: Getter Methods for Data inside a sketch
DescriptionIt should be possible to get the Value of a constraint

App.ActiveDocument.Sketch.setDatum(10,App.Units.Quantity('-64.688800 mm'))


App.ActiveDocument.Sketch.getDatum(10)
App.ActiveDocument.Sketch.getDatum(nameOfConstraint)

and the positions of a point

App.ActiveDocument.Sketch.movePoint(0,2,App.Vector(-86.557251,-10.737813,0),0)
App.ActiveDocument.Sketch.movePoint(0,1,App.Vector(27.106438,30.903950,0),0)
App.ActiveDocument.Sketch.movePoint(0,0,App.Vector(-13.880585,15.190081,0),1)

App.ActiveDocument.Sketch.getPoint(0,2) --> Vector(1,2,3)
App.ActiveDocument.Sketch.getPoint(0,1)
App.ActiveDocument.Sketch.getPoint(0,0)



TagsNo tags attached.
FreeCAD Information

Activities

shoogen

2014-11-07 16:29

developer   ~0005286

this is not a bug. It's a missing feature.

Related Changesets

FreeCAD: master f51daa88

2014-12-29 22:28:12

wmayer

Details Diff
+ fixes 0001819: Getter Methods for Data inside a sketch Affected Issues
0001819
mod - src/Mod/Sketcher/App/SketchObjectPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File

Issue History

Date Modified Username Field Change
2014-11-07 16:09 microelly2 New Issue
2014-11-07 16:29 shoogen Note Added: 0005286
2014-11-07 16:29 shoogen Severity minor => feature
2014-11-07 16:29 shoogen Reproducibility have not tried => N/A
2014-12-29 22:00 wmayer Changeset attached => FreeCAD Master master f51daa88
2014-12-29 22:00 wmayer Assigned To => wmayer
2014-12-29 22:00 wmayer Status new => closed
2014-12-29 22:00 wmayer Resolution open => fixed